The Official Microsoft App-V Team Blog

Your official source for all the latest news and tech tips for Microsoft Application Virtualization (App-V).

SoftGrid Upgrade: General guidance and recommended practices

SoftGrid Upgrade: General guidance and recommended practices

  • Comments 2
  • Likes

We received a number of questions regarding the upgrade process of the various SoftGrid components, so I thought I’d post some general guidelines and recommended best practices we usually try to follow. This information was originally compiled for a 3.2 to 4.1 upgrade scenario but the same SoftGrid Client upgrade process should apply for 4.2 as well.

Always be sure to read the release notes for the version you’re upgrading to for more information regarding special steps needed for your specific upgrade path.

This article addresses the upgrading of an existing v3.2.2.8 SoftGrid environment to version 4.1.1.302.  This article assumes that the reader has already read the product release notes:

Microsoft SoftGrid 4.1 Service Pack 1 release notes (http://support.microsoft.com/kb/938497)

The following is a list of supported upgrade paths between versions:

  • v4.0.x to v4.1.1.302 (SP1)
  • v4.1.x to v4.1.1.302 (SP1)
  • v3.2.2.8 to v4.1.1.302 (SP1)
  • v3.x to v3.2.2.8

The following is the supported order in which to upgrade the various SoftGrid
components:

  • Upgrade SoftGrid Clients prior to upgrading SoftGrid server
  • Upgrade SoftGrid Sequencer to same version as SoftGrid client
  • Newer clients are compatible with prior SoftGrid Server versions
  • SoftGrid Packages compatible, there are some exceptions

Note: Only practices that have been tested and verified (i.e., work properly) are "supported". If a particular practice has not been factored into the regression test which occurs prior to product release, the practice is deemed "unsupported".

Avoid known issues by reviewing considerations below prior to performing an upgrade:

SoftGrid Client/Sequencer upgrade:

1. Perform a test upgrade on a copy of the production SoftGrid environment (server, database, content and client).

2. v3.2.2.8 SoftGrid Client (and prior) cannot be upgraded (to v4.x) or removed via SMS or GPO. The v3.2.2.8 Client can be removed via SchTask - if run under a user account in local administrators.

3. v4.x SoftGrid Clients can be upgraded to v4.1.1.302 via SMS, GPO or SchTasks.exe. SoftGrid Client Installation properties are documented in 4_0_Client_Install_Guide.pdf. See "Installation arameters" on pg 10.

4. Regardless of upgrade method a SoftGrid client upgrade to v4.1.1.302 will require a system restart.

5. Sample command line client upgrade: “msiexec /qn /i softgrid-wd-setup.msi REINSTALL=ALL REINSTALLMODE=vomus IS_MINOR_UPGRADE=1 /L*vx c:\4.1.1.302.Upgrade.log”

6. Most properties cannot be changed by an upgrade. For example an upgrade cannot change where the product is installed. (e.g., C:\Program Files\Softricity\)

SoftGrid Virtual Application Server/Database upgrade:

1. Perform a test upgrade on a copy of production SoftGrid environment (server, database, content and client). (Note: With 4.x we are much stricter on the versioning of the SFT files and associated OSD’s, therefore it is essential you perform this test outside your production environment!)

2. Please review the sft-server.log and windows eventlogs of your production SoftGrid server environment for any issues prior to performing the upgrade.

3. Upgrades from SoftGid versions prior to v3.2.2.8 have not been fully tested. We recommend a v3.2.2.8 upgrade prior to a v4.x upgrade.

4. Presence of a v4.x sequence in the v3.x SoftGrid database will cause the upgrade to fail. In this situation remove the v4.x Sequences using the SoftGrid Server Management Console.

5. The following products have been discontinued – Softricity Zero Touch and Softricity SMS Connector (replaced by MSI utility)

Issues that may occur during an SoftGrid Virtual Application Server upgrade:

Symptom: SoftGrid Virtual Application Server upgrade fails when upgrading from v3.2.2.8.
Error: The installation program encountered an error attempting to execute a database statement. Cannot insert the value NULL into column 'package_id', table 'SOFTRICITY.dbo.APPLICATIONS'; column does not allow nulls. UPDATE fails.

Explanation: The database changed between v3.x and v4.x and now includes packages. Thus, the upgrade must import packages from Sequence files. This error occurs when
a package import fails.

Solution:
1. Remove sequences created with the v4.x Sequencer.
2. Remove Sequences with embedded spaces in the shortcut name.
3. Take out spaces which occur in shortcut names. Do this using the SoftGrid Sequencer if possible, not notepad.

==========

Symptom: The installation program was unable to create the required IIS virtual directory
Error: DCOM errors in System events for {A9E69610-B80D-11D0-B9B9-00A0C922E750} or {61738644-F196-11D0-9953-00C04FD919C1}

Solution: Grant “Network Services” local activation perms on:
- "IIS Admin Service"
- "IIS WAMREG"

==========

Symptom: Upgrade completes but there is no SoftGrid management console.

Explanation: Windows XP SP2 or Windows 2003 SP1 (or better) is required in order to install the v4.x SoftGrid Server Management Console.

Solution: Install the SGMC on a system which meets minimum requirements and connect to the SoftGrid server.

Paul Freitas | SoftGrid Support Engineer

Comments
Your comment has been posted.   Close
Thank you, your comment requires moderation so it may take a while to appear.   Close
Leave a Comment